Skip to main content
`Ctrl`+`K`

# miml.transformation.mimlTOmi.label_powerset_transformation.LabelPowersetTransformation

class miml.transformation.mimlTOmi.label_powerset_transformation.LabelPowersetTransformation

  Class that performs a label powerset transformation.

  __init__()

  Methods

  `__init__`() |
  `lp_to_ml_label`(label) | Transform lp label to multilabel
  `ml_to_lp_label`(labels) | Transform multilabel to lp label
  `transform_bag`(bag) | Transform miml bag to multi instance bags
  `transform_dataset`(dataset) | Transform the dataset to multi-instance dataset converting the labels to one label using binary to decimal codification